summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:52 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:52 -0400
commitf1eeeded0820c06d099ce524e324f8a5b1b445c8 (patch)
tree18d3a558176fafb89f1c21771f86030dc6f5abb3
parent17dd6e7604503ccb97cadb8f0b25a8895ea3eb98 (diff)
downloadslackbuilds-f1eeeded0820c06d099ce524e324f8a5b1b445c8.tar.gz
slackbuilds-f1eeeded0820c06d099ce524e324f8a5b1b445c8.tar.xz
graphics/djview4: Fixed for bash4.
-rw-r--r--graphics/djview4/djview4.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/graphics/djview4/djview4.SlackBuild b/graphics/djview4/djview4.SlackBuild
index 5ea5932455..fa16d8fc8d 100644
--- a/graphics/djview4/djview4.SlackBuild
+++ b/graphics/djview4/djview4.SlackBuild
@@ -86,12 +86,8 @@ cp $PKG/usr/share/djvu/djview4/desktop/*.desktop \
cp $PKG/usr/share/djvu/djview4/desktop/hi32-djview4.png \
$PKG/usr/share/pixmaps/djvulibre-djview4.png
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;